Skip to main content
GET
/
organizations
/
{organization_name}
/
inference-endpoints
/
{inference_endpoint_name}
Get an Inference Endpoint
curl --request GET \
  --url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name} \
  --header 'Salad-Api-Key: <api-key>'
import requests

url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}"

headers = {"Salad-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};

fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "description": "<string>",
  "display_name": "<string>",
  "icon_url": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "input_schema": "<string>",
  "name": "<string>",
  "organization_name": "<string>",
  "output_schema": "<string>",
  "price_description": "<string>",
  "readme": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

inference_endpoint_name
string
required

The inference endpoint name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"transcribe"

Response

OK

Represents an inference endpoint

description
string
required

The detailed description of the resource.

Maximum string length: 1000
Pattern: ^.*$
Example:

""

display_name
string
required

The display-friendly name of the resource.

Required string length: 2 - 63
Pattern: ^[ ,-.0-9A-Za-z]+$
Example:

"Name"

icon_url
string<url>
required

The URL of the icon image

Required string length: 1 - 2048
Pattern: ^.*$
id
string<uuid>
required

The inference endpoint identifier.

Example:

"cb3a4591-efc3-46c0-b06a-3d820c0ec100"

input_schema
string
required

The input schema

Required string length: 1 - 100000
Pattern: ^.*$
name
string
required

The inference endpoint name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"transcribe"

organization_name
string
required

The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

output_schema
string
required

The output schema

Required string length: 1 - 100000
Pattern: ^.*$
price_description
string
required

A description of the price

Required string length: 1 - 100
Pattern: ^.*$
readme
string
required

A markdown file containing a detailed description of the inference endpoint

Required string length: 1 - 100000
Pattern: ^.*$